iso_8859_2.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Macros

#define | numberof(array) (int)(sizeof(array) / sizeof((array)[0]))
#define | ENC_ISO_8859_2_TO_LOWER_CASE(c) EncISO_8859_2_ToLowerCaseTable[c]
#define | ENC_IS_ISO_8859_2_CTYPE(code, ctype) ((EncISO_8859_2_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

## Functions

static int | mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end ARG_UNUSED, UChar *lower, OnigEncoding enc ARG_UNUSED)
static int | apply_all_case_fold (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, OnigEncoding enc ARG_UNUSED)
static int | get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc ARG_UNUSED)
static int | is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (iso_8859_2, ISO_8859_2)

## Variables

static const UChar | EncISO_8859_2_ToLowerCaseTable [256]
static const unsigned short | EncISO_8859_2_CtypeTable [256]
static const OnigPairCaseFoldCodes | CaseFoldMap []

## Macro Definition Documentation

#define ENC_IS_ISO_8859_2_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((EncISO_8859_2_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 35 of file iso_8859_2.c.

Referenced by is_code_ctype().

#define ENC_ISO_8859_2_TO_LOWER_CASE | ( |  | c | ) | EncISO_8859_2_ToLowerCaseTable[c]

Definition at line 34 of file iso_8859_2.c.

Referenced by mbc_case_fold().

#define numberof | ( |  | array | ) | (int)(sizeof(array) / sizeof((array)[0]))

Definition at line 32 of file iso_8859_2.c.

Referenced by apply_all_case_fold(), and get_case_fold_codes_by_str().

## Function Documentation

static int apply_all_case_fold | ( | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 195 of file iso_8859_2.c.

References numberof, and onigenc_apply_all_case_fold_with_map().

static int get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 205 of file iso_8859_2.c.

References numberof, and onigenc_get_case_fold_codes_by_str_with_map().

static int is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 216 of file iso_8859_2.c.

References ENC_IS_ISO_8859_2_CTYPE, and FALSE.

static int mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar *end | ARG_UNUSED,
|  | UChar * | lower,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 109 of file iso_8859_2.c.

References ENC_ISO_8859_2_TO_LOWER_CASE, INTERNAL_ONIGENC_CASE_FOLD_MULTI_CHAR, p, and UChar.

OnigEncodingDefine | ( | iso_8859_2 | ,
|  | ISO_8859_2 |
| ) |  |

## Variable Documentation

const OnigPairCaseFoldCodes CaseFoldMap[]

static

Definition at line 149 of file iso_8859_2.c.

const unsigned short EncISO_8859_2_CtypeTable[256]

static

Definition at line 73 of file iso_8859_2.c.

const UChar EncISO_8859_2_ToLowerCaseTable[256]

static

Definition at line 38 of file iso_8859_2.c.